## wdq2wav 0.8.0

=== Makefile ===
base	:= wdq2wav

all: compile

clean:
	rm -f $(base) $(base).o

compile: wdq2wav

debug:
	g++ -Wall -g -I. $(base).cpp -o $(base)

wdq2wav.html: wdq2wav.1
	groff -man -Thtml wdq2wav.1 > wdq2wav.html

wdq2wav: wdq2wav.cpp wdq2wav.h
	g++ -Wall -DLINUX -O2 -I. $(base).cpp -o $(base)

install: compile
	install -m 0755 -o root -g root wdq2wav $(DESTDIR)/usr/bin
	install -m 0644 -o root -g root wdq2wav.1 $(DESTDIR)/usr/share/man/man1

## wdq2wav 0.8.3

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 all: compile
 
 clean:
-	rm -f $(base) $(base).o
+	@rm -f $(base) $(base).o $(base).exe *.~[0-9]~
 
 compile: wdq2wav

## wdq2wav 0.9.0

=== debian/changelog ===
wdq2wav (0.9.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 03 Jul 2013 22:32:01 -0600

wdq2wav (0.8.3-2) unstable; urgency=low

  * Add ${misc:Depends} for debhelper

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 16 Nov 2009 10:28:06 -0700

wdq2wav (0.8.3-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 02 Aug 2009 06:32:35 -0600

wdq2wav (0.8.2-2) unstable; urgency=low

  * debian/watch: New file
  * debian/control: Require debhelper 7. Change to new lisp section.
    Added Vcs-Git and Homepage fields.
  * debian/compat: Update to version 7
  * debian/rules: Update for debhelper 7, architecture-independent build

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 02 Aug 2009 05:49:39 -0600

wdq2wav (0.8.2-1) unstable; urgency=low

  * Add stdlib.h (closes:511646)

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 09 Feb 2009 02:50:44 -0700

wdq2wav (0.8.1-1) unstable; urgency=low

  * New upsgream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat,  8 Sep 2007 18:50:57 -0600

wdq2wav (0.8.0-2) unstable; urgency=low

  * New upstream URI

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 17 Sep 2005 15:30:07 -0600

wdq2wav (0.8.0-1) unstable; urgency=low

  * Add support for 16-bit files, packed-files

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 11 Feb 2004 23:07:03 -0700

wdq2wav (0.7.3-1) unstable; urgency=low

  * Fix typo in man page

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat,  8 Mar 2003 01:46:04 -0700

wdq2wav (0.7.2-1) unstable; urgency=low

  * Invert the sense of -m and -z

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon,  3 Mar 2003 14:49:48 -0700

wdq2wav (0.7.1-1) unstable; urgency=low

  * Fix makefile so that html version of man page is no longer
  automatically built by compile target (closes: 183179) 

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun,  2 Mar 2003 19:08:58 -0700

wdq2wav (0.7.0-1) unstable; urgency=low

  * Invert the meaning of the -z option
  * Selection -m automatically sets -z

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 27 Feb 2003 21:12:55 -0700

wdq2wav (0.6.0-1) unstable; urgency=low

  * Add demeaning option

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 25 Feb 2003 11:13:55 -0700

wdq2wav (0.5.1-1) unstable; urgency=low

  * Avoid possible divide by 0

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 24 Feb 2003 05:36:33 -0700

wdq2wav (0.5.0-1) unstable; urgency=low

  * New upstream, add support for scaling while preserving zero point

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 24 Feb 2003 01:39:51 -0700

wdq2wav (0.4.0-1) unstable; urgency=low

  * Support for MSVC compilation.

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 11 Feb 2003 23:06:52 -0700

wdq2wav (0.3.1-1) unstable; urgency=low

  * Update manpage

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 22 Jan 2003 14:19:06 -0700

wdq2wav (0.3-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 22 Jan 2003 08:17:47 -0700

wdq2wav (0.2-1) unstable; urgency=low

  * New upstream 
  * Rewrite in C++
  * Add play function

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 20 Jan 2003 20:03:39 -0700

wdq2wav (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 20 Jan 2003 18:59:50 -0700

=== debian/control ===
Source: wdq2wav
Section: contrib/utils
Priority: extra
Maintainer: Kevin M. Rosenberg <kmr@debian.org>
Build-Depends: debhelper (>> 7.0.0)
Standards-Version: 3.9.4.0
Homepage: http://files.b9.com/wdq2wav/
Vcs-Git: git://git.b9.com/wdq2wav.git

Package: wdq2wav
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Converts a WinDAQ channel to sound .wav file
 This program extracts a channel from a WinDAQ file and produces
 a .wav file that can be played. This is helpful when recording a
 chatter channel for a WinDAQ session with multiple A/D channels.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp build-arch build-indep

build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	DPKG_EXPORT_BUILDFLAGS=1
	env DEB_BUILD_MAINT_OPTIONS="hardening=+all" DPKG_EXPORT_BUILDFLAGS=1 CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)" CPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" $(MAKE)
	dh_install wdq2wav usr/bin

binary-indep: 

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installcron
	dh_installman wdq2wav.1
	dh_installinfo
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

build-indep:

build-arch:

binary: clean binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## wdq2wav 1.0.0

=== debian/changelog ===
wdq2wav (1.0.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 05 Oct 2013 13:37:42 -0600

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: contrib/utils
 Priority: extra
 Maintainer: Kevin M. Rosenberg <kmr@debian.org>
-Build-Depends: debhelper (>> 7.0.0)
+Build-Depends: debhelper (>> 7.0.0), hardening-wrapper
 Standards-Version: 3.9.4.0
 Homepage: http://files.b9.com/wdq2wav/
 Vcs-Git: git://git.b9.com/wdq2wav.git

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,15 @@
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
 endif
+
+export DEB_BUILD_HARDENING=1
+export DPKG_EXPORT_BUILDFLAGS=1
+export DEB_BUILD_MAINT_OPTIONS="hardening=+all" 
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
+
 
 configure: configure-stamp
 configure-stamp:
@@ -37,7 +46,7 @@
 	dh_prep
 	dh_installdirs
 	DPKG_EXPORT_BUILDFLAGS=1
-	env DEB_BUILD_MAINT_OPTIONS="hardening=+all" DPKG_EXPORT_BUILDFLAGS=1 CFLAGS="$(shell dpkg-buildflags --get CFLAGS)" LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)" CPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)" $(MAKE)
+	$(MAKE)
 	dh_install wdq2wav usr/bin
 
 binary-indep:
